i#!/bin/bash
  
echo "$0 preparation script"
pwd

export LIB_DIR=${PWD}/lib

cd ${PWD}/src
echo "Cleaning ..."
make clean

echo "Running tests now pwd ${LIB_DIR}"
make
ret=$?

# installing dependent library
cp topologyd /usr/sbin/

supervisorctl status all
supervisorctl update
supervisorctl restart all
sleep 3
supervisorctl restart topologyd
sleep 1
supervisorctl status all
cd /builds/iopsys/map-topology/
./gitlab-ci/replay_packets.sh
./gitlab-ci/verify.sh
ret=$?

supervisorctl stop all
supervisorctl status

cp memory-report.xml functional-test-memory-report.xml
date +%s > timestamp.log

echo "$0 exit status ${ret}"
exit ${ret}
